<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://https://codecanyon.net/search/kamleshyadav
 * @since      1.0.0
 *
 * @package    Image_Buzz
 * @subpackage Image_Buzz/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="buzz-main-wrapper">
	<div class="buzz-page-content">
		<div class="buzz-row">
            <div class="buzz-header">
                <h1 class="buzz-page-title"><?php echo esc_html__('Welcome to Image Buzz','image-buzz'); ?></h1>
            </div>
			<!-- Tab Start  -->
			<div class="buzz-tabs-container">
				<ul class="buzz-tabs-nav">
					<li><a href="#pixabay"><?php echo esc_html__('Pixabay','image-buzz'); ?></a></li>
					<li><a href="#unsplash"><?php echo esc_html__('Unsplash','image-buzz'); ?></a></li>
					<li><a href="#pixels"><?php echo esc_html__('Pexels','image-buzz'); ?></a></li>
					<li><a href="#imgenetator"><?php echo esc_html__('OpenAI Image','image-buzz'); ?></a></li>
					<li><a href="#youtube"><?php echo esc_html__('Youtube Image','image-buzz'); ?></a></li>
				</ul>
				<div class="buzz-tabs-content">
					<div id="pixabay" class="buzz-single-tab">
						<div class="buzz-tab-section">
							<div class="buzz-pixabay-settings">
                                <div class="buzz-form-wrap">
								    <div class="pixabay_api_message"></div>
                                    <div class="buzz-input-wrapper">
										<label for=""><?php echo esc_html__('Pixabay API Key','image-buzz'); ?></label>
										<input type="text" id="pixabay_api" name="pixabay_api" placeholder="<?php echo esc_attr__('Enter API Key','image-buzz'); ?>" value="<?php echo esc_attr(get_option('imagebuzz_pixabay_api')); ?>" />
                                        <span class="buzz-note"><?php echo esc_html__('Grab Pixabay API key from here','image-buzz'); ?>
                                            <a href="<?php echo esc_url('https://pixabay.com/api/docs/'); ?>" taeget="_blank"><?php echo esc_html__('Setting used for pixabay images integration','image-buzz'); ?></a> 
                                        </span>
									</div>
                                    <div class="buzz-btn-wrap">
										<?php
										$imagebuzz_pixabay_api = get_option('imagebuzz_pixabay_api');
										if(empty($imagebuzz_pixabay_api)):
										?>
										<a href="javascript:void(0)" id="imagebuzz_pixabay_api" class="buzz-btn"><?php echo esc_html__('Save','image-buzz'); ?></a>
										<?php else: ?>
										<a href="javascript:void(0)" id="imagebuzz_pixabay_api_clear" data-apiclear="pixabay_api" class="buzz-btn imagebuzz_api_clear"><?php echo esc_html__('Disconnect','image-buzz'); ?></a>
										<?php endif; ?>
									</div>
                                </div>  
							</div>
						</div>
					</div> 
					<div id="unsplash" class="buzz-single-tab">
						<div class="buzz-tab-section">
							<div class="buzz-unsplash-settings">
                                <div class="buzz-form-wrap">
									<div class="unsplash_api_message"></div>
                                    <div class="buzz-input-wrapper">
										<label for=""><?php echo esc_html__('Unsplash API Key','image-buzz'); ?></label>
										<input type="text" id="unsplash_api" name="unsplash_api" placeholder="<?php echo esc_attr__('Enter API Key','image-buzz'); ?>" value="<?php echo esc_attr(get_option('imagebuzz_unsplash_api')); ?>"  />
                                        <span class="buzz-note"><?php echo esc_html__('Grab Unsplash API key from here','image-buzz'); ?>
                                            <a href="<?php echo esc_url('https://unsplash.com/documentation'); ?>" taeget="_blank"><?php echo esc_html__('Setting used for unsplash images integration','image-buzz'); ?></a> 
                                        </span>
									</div>
                                    <div class="buzz-btn-wrap">
									    <?php
										$imagebuzz_unsplash_api = get_option('imagebuzz_unsplash_api');
										if(empty($imagebuzz_unsplash_api)):
										?>
										<a href="javascript:void(0)" id="imagebuzz_unsplash_api" class="buzz-btn"><?php echo esc_html__('Save','image-buzz'); ?></a>
										<?php else: ?>
										<a href="javascript:void(0)" id="imagebuzz_unsplash_api_clear" data-apiclear="unsplash_api" class="buzz-btn imagebuzz_api_clear"><?php echo esc_html__('Disconnect','image-buzz'); ?></a>
										<?php endif; ?>
									</div>
                                </div>  
							</div>
						</div>
					</div>
					<div id="pixels" class="buzz-single-tab">
						<div class="buzz-tab-section">
							<div class="buzz-pixels-settings">
                                <div class="buzz-form-wrap">
								    <div class="pixels_api_message"></div>
                                    <div class="buzz-input-wrapper">
										<label for=""><?php echo esc_html__('Pexels API Key','image-buzz'); ?></label>
										<input type="text" id="pixels_api" name="pixels_api" placeholder="<?php echo esc_attr__('Enter API Key','image-buzz'); ?>" value="<?php echo esc_attr(get_option('imagebuzz_pixels_api_save')); ?>"  />
                                        <span class="buzz-note"><?php echo esc_html__('Grab Pexels API key from here','image-buzz'); ?> <a href="<?php echo esc_url('https://www.pexels.com/api/documentation'); ?>" taeget="_blank"><?php echo esc_html__('Setting used for pexels images integration','image-buzz'); ?></a> 
										</span>
									</div>
                                    <div class="buzz-btn-wrap">
									    <?php
										$imagebuzz_pixels_api = get_option('imagebuzz_pixels_api_save');
										if(empty($imagebuzz_pixels_api)):
										?>
										<a href="javascript:void(0)" id="imagebuzz_pixels_api" class="buzz-btn">
										<?php echo esc_html__('Save','image-buzz'); ?></a>
										<?php else: ?>
										<a href="javascript:void(0)" id="imagebuzz_pixels_api_clear" data-apiclear="pixels_api" class="buzz-btn imagebuzz_api_clear"><?php echo esc_html__('Disconnect','image-buzz'); ?></a>
										<?php endif; ?>
									</div>
                                </div>  
							</div>
						</div>
					</div>
					<div id="imgenetator" class="buzz-single-tab">
						<div class="buzz-tab-section">
							<div class="buzz-pixels-settings">
                                <div class="buzz-form-wrap">
								    <div class="pixels_api_message"></div>
                                    <div class="buzz-input-wrapper">
										<label for=""><?php echo esc_html__('OpenAi Api Key','image-buzz'); ?></label>
										<input type="text" id="openai_api" name="openai_api" placeholder="<?php echo esc_attr__('Enter API Key','image-buzz'); ?>" value="<?php echo esc_attr(get_option('imagebuzz_openai_api_save')); ?>"  />
                                        <span class="buzz-note"><?php echo esc_html__('Grab OpenAi API key from here','image-buzz'); ?> <a href="<?php echo esc_url('https://auth0.openai.com/u/login/identifier?state=hKFo2SBrNnRWUmMxRDlOYWxaXzBqcFU4YjE0dURXSkVjbndKcqFur3VuaXZlcnNhbC1sb2dpbqN0aWTZIGJXQTRLMlRtOHpQQlBDTC1fMnZKSGdmWFUzNkxaWGpSo2NpZNkgRFJpdnNubTJNdTQyVDNLT3BxZHR3QjNOWXZpSFl6d0Q'); ?>" taeget="_blank"><?php echo esc_html__('Setting used for pexels images integration','image-buzz'); ?></a> 
										</span>
									</div>
                                    <div class="buzz-btn-wrap">
									    <?php
										$imagebuzz_openai_api_save = get_option('imagebuzz_openai_api_save');
										if(empty($imagebuzz_openai_api_save)):
										?>
										<a href="javascript:void(0)" id="imagebuzz_openai_api" class="buzz-btn">
										<?php echo esc_html__('Save','image-buzz'); ?></a>
										<?php else: ?>
										<a href="javascript:void(0)" id="imagebuzz_openai_api_clear" data-apiclear="openai_api" class="buzz-btn imagebuzz_api_clear"><?php echo esc_html__('Disconnect','image-buzz'); ?></a>
										<?php endif; ?>
									</div>
                                </div>  
							</div>
						</div>
					</div>
					<div id="youtube" class="buzz-single-tab">
						<div class="buzz-tab-section">
						<!--Page Content -->
							<div class="ytc-page-content container-md">
								<div class="ytc-page-innner">
									<!-- API Form  -->
									<form id="ytc_api_setting" name="ytc_api_setting" method="POST">
										<div class="ytc-form-wrap">
										 <div class="youtube_api_message"></div>
											<div class="buzz-input-wrapper">
												<label><?php echo esc_html__('Youtube API key','image-buzz'); ?></label>
												<input type="text" id="ytc_api_values" name="ytc_api_values" placeholder="<?php echo esc_html__('Enter Youtube API Key','image-buzz'); ?>" value="<?php echo esc_attr(get_option('imagebuzz_youtube_api_save')); ?>">
												<span><?php echo esc_html__('Don\'t know how to Youtube api key ?','image-buzz'); ?>
												<a href="<?php echo esc_url('https://console.cloud.google.com/'); ?>" target="_blank"><?php echo esc_html__('Click Here','image-buzz'); ?></a></span> 
											</div>
											
											<div class="ytc-btn-wrap">
												<?php 
												$imagebuzz_youtube_api_save = get_option('imagebuzz_youtube_api_save');
												if(empty($imagebuzz_youtube_api_save)):
												?>
													<button type="submit" name="Submit" class="buzz-btn" id="imagebuzz_youtube">
													 <?php esc_html_e('Save', 'image-buzz'); ?>
													</button>
												<?php else: ?>
												<a href="javascript:void(0)" id="imagebuzz_youtube_api_clear" data-apiclear="youtube_api" class="buzz-btn imagebuzz_api_clear"><?php echo esc_html__('Disconnect','image-buzz'); ?></a>

												<?php endif; ?>
											</div>
										</div>
									</form>
								</div>
							</div>
	
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>
</div>  